#pragma once

#include <qobject.h>
#include <qqmlintegration.h>
#include <qtmetamacros.h>

class Counter: QObject {
  Q_OBJECT
  Q_PROPERTY(uint counter READ counter WRITE setCounter NOTIFY counterChanged)
  QML_ELEMENT
public:
  explicit Counter(QObject *parent = nullptr);

  [[nodiscard]] uint counter() const;
  void setCounter(const uint counter);

Q_SIGNALS:
  void counterChanged();

private:
  uint m_counter;
};
