#include <KLocalizedContext>
#include <KLocalizedString>
#include <QApplication>
#include <QQmlApplicationEngine>
#include <QQuickStyle>
#include <QUrl>
#include <QtQml>
#include <qcoreapplication.h>
#include <qstringliteral.h>

int main(int argc, char *argv[]) {
  QApplication app(argc, argv);
  KLocalizedString::setApplicationDomain("myapplication");
  QCoreApplication::setOrganizationName(QStringLiteral("KDE"));
  QCoreApplication::setOrganizationDomain(QStringLiteral("kde.org"));
  QCoreApplication::setApplicationName(QStringLiteral("My application of test"));
  QCoreApplication::setApplicationVersion(QStringLiteral("0.1.0"));

  if (qEnvironmentVariableIsEmpty("QT_QUICK_CONTROLS_STYLE")) {
    QQuickStyle::setStyle(QStringLiteral("org.kde.desktop"));
  }

  QQmlApplicationEngine engine;

  engine.rootContext()->setContextObject(new KLocalizedContext(&engine));
  engine.load(QUrl(QStringLiteral("qrc:/main.qml")));

  if (engine.rootObjects().isEmpty()) {
    return -1;
  }

  return app.exec();
}
